package gongyinglian

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/gongyinglian/model"
)

type material struct {
	Product
	create string `name:"create warehouse_uid*:select name* info price stock unit" role:"boss"`
}

func (s material) Create(m *ice.Message, arg ...string) {
	s.Product.Create(m, kit.Simple(model.PRODUCT_TYPE, ProductMaterial, arg)...)
}
func (s material) List(m *ice.Message, arg ...string) {
	s.Product.List(m.Options(model.PRODUCT_TYPE, kit.Format(ProductMaterial)), arg...)
	kit.If(s.IsBoss(m), func() {
		m.PushAction(s.SetWarehouse, s.Modify, s.Remove).Action(s.Create)
		s.Button(m, "")
	})
}

func init() { ice.TeamCtxCmd(material{}) }
