package gongyinglian

import "shylinux.com/x/ice"

type Return struct{ Relative }

func init() { ice.TeamCtxCmd(Return{}) }

type ReturnStatus int

const (
	ReturnUnknown ReturnStatus = iota
	ReturnCreate
	ReturnSend
	ReturnRecv
	ReturnConfirm
)

var ReturnStatusList = map[ReturnStatus]string{
	ReturnUnknown: "unknown",
	ReturnCreate:  "create",
	ReturnSend:    "send",
	ReturnRecv:    "recv",
	ReturnConfirm: "confirm",
}

func (s ReturnStatus) String() string { return ReturnStatusList[s] }
