package guanlixitong

import "shylinux.com/x/ice"

type userGroup struct{ Table }

func init() { ice.TeamCtxCmd(userGroup{}) }

type UserGroupRole int

const (
	UserGroupVisitor UserGroupRole = iota
	UserGroupCreator
	UserGroupLeader
	UserGroupWorker
	UserGroupServer
)

var UserGroupRoleList = map[UserGroupRole]string{
	UserGroupVisitor: "visitor",
	UserGroupCreator: "creator",
	UserGroupLeader:  "leader",
	UserGroupWorker:  "worker",
	UserGroupServer:  "server",
}

func (s UserGroupRole) String() string { return UserGroupRoleList[s] }
